Package org.eclipse.net4j.util.concurrent

# Class ParallelRunner

java.lang.Object
java.util.AbstractCollection<Runnable>
java.util.AbstractList<Runnable>
java.util.ArrayList<Runnable>
org.eclipse.net4j.util.concurrent.ParallelRunner

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Iterable<Runnable>`, `Collection<Runnable>`, `List<Runnable>`, `RandomAccess`, `SequencedCollection<Runnable>`

public class ParallelRunner extends ArrayList<Runnable>
A `list` of `runnables` that can be run in parallel.

Since:
  3.2
Author:
  Eike Stepper
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.AbstractList

`modCount`

## Constructor Summary

Constructors
Constructor
Description
`ParallelRunner()`
`ParallelRunner(int initialCapacity)`
`ParallelRunner(Collection<? extends Runnable> c)`

## Method Summary

Modifier and Type
Method
Description
`void`
`run(ExecutorService executorService, long timeout)`

### Methods inherited from class java.util.ArrayList

`add, add, addAll, addAll, addFirst, addLast, clear, clone, contains, ensureCapacity, equals, forEach, get, getFirst, getLast, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeFirst, removeIf, removeLast, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

### Methods inherited from class java.util.AbstractCollection

`containsAll, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream, stream, toArray`

### Methods inherited from interface java.util.List

`containsAll, reversed`

## Constructor Details

### ParallelRunner

public ParallelRunner()

### ParallelRunner

public ParallelRunner(Collection<? extends Runnable> c)

### ParallelRunner

public ParallelRunner(int initialCapacity)

## Method Details

### run

public void run(ExecutorService executorService, long timeout) throws InterruptedException

Throws:
  `InterruptedException`